function [sroots]=sroots(d,t)
% root RAR function
global  tr RAR0 betaroots ;

%handmatig RAR1~0.08% als voorbeeld :
RAR1=0             ;% RAR tussen 0-0.025m
RAR2=0              ;% RAR tussen 0.025-0.050m
RAR3=0             ;% RAR tussen 0.050-0.075m
RAR4=0             ;% RAR tussen 0.075-0.100m
RAR5=0             ;% RAR tussen 0.100-0.125m
RAR6=0             ;% RAR tussen 0.125-0.150m
RAR7=0             ;% RAR tussen 0.150-0.175m
RAR8=0             ;% RAR tussen 0.175-0.200m  =einde graslaag

if d<0.025
    RAR=RAR1;
elseif d>=0.025 & d<0.050
    RAR=RAR2;
elseif d>=0.050 & d<0.075
    RAR=RAR3;
elseif d>=0.075 & d<0.100
    RAR=RAR4;
elseif d>=0.100 & d<0.125
    RAR=RAR5;
elseif d>=0.125 & d<0.150
    RAR=RAR6;
elseif d>=0.150 & d<0.175
    RAR=RAR7;
elseif d>=0.175 & d<0.200
    RAR=RAR8;
else  % d>=0.200
    RAR=1e-99;
end;

% warning if RAR is unrealistic
if t==1
    if  RAR>0.20 | RAR<0.00001 & RAR~=1e-99 | RAR==0;
        'Warning; RAR unrealistic or not defined calculation done according averaged grass quality (Sprangers)';
        RAR=0;
    else RAR=RAR;
    end
end

% Calculation sroots
if RAR==0
    sroots0=0.7*tr*RAR0;
    sroots=sroots0*exp(-betaroots*d);        %root cohesion Sprangers(d)
else
    sroots=0.7*tr*RAR/100;                   %root cohesion handmatig(d)
end

