function [waveoverflow]=waveoverflow(y0,d0,t0,U_interface)
    %% Waveoverflow 

subplotteller=2;
for U=[U_interface]
    y=y0;
    d=d0;
    t=t0;
    n=10000;                % maximale tijd
    for i=1:n;
        t=t+1;
        if tau0_d(d,U)-tauc_d(d,t)<0
            time =(0:1)
            erosion=0+1e-9999*time
            
        else
            y=y+(1*(tau0_d(d,U)-tauc_d(d,t))/Esoil_d(d,t));
        d=y;
        erosion(i)=y;
        taucritical(i)=tauc_d(d,t);
        time(i)=t/3600;
        end
        if y>0.80;
            break;
        end
  
    end
stringU=[num2str(U)]
    subplot (3,2,subplotteller) % als tweede aanstaat 4 veranderen in 8

    plot(time(1:i),erosion(1:i))
   %plot(timev,erosionv)
    set(gca,'box','on');
    set(gca,'YDir','reverse')
    axis([0 1 -0.00 0.8]);
    xlabel (['Failure Time [h]']);
    ylabel (['depth [m]']);   
    title(['U=',stringU,'m/s']);  

   %subplot (1,2,subplotteller+1)
    %plot(taucritical(1:i),erosion(1:i))
    %set(gca,'YDir','reverse')

    t
    u(subplotteller)=U;
    if t==n;
        h(subplotteller)=0;
    else
        h(subplotteller)=t/3600;
    end
    subplotteller=subplotteller+1; %als tweede aanstaat veranderen in +2

end;

waveoverflow= [u;h]; % A= velocities [m/s];failure time [h] =output voor model

