function [exp_EPM,eventnumber]=exp_EPM(y0,t0,q,xx0, subplotteller)

global formulaV_hvT turb;  
y=y0;
    d=y;
    t=t0;

if formulaV_hvT==1
    [A]=golfA_exp(q);
elseif formulaV_hvT==2
    load golfA_characteristic
    if q==0.1  ;    
        A= A01;
    elseif q==1;
        A= A1;
    elseif q==10;
        A= A10;
    elseif q==30;
        A= A30;
    elseif q==50;
        A= A50;
    elseif q==75;
        A= A75;
    end
end

sizeA=size(A);
for i2=1:sizeA(1);
        U=A(i2,4);
        Tbos=A(i2,5);
        if formulaV_hvT==2;
           r0=A(i2,2);
            turb=(1.5+5*r0);
        end;
        [tau0_exp2, tauc_exp, Uc_exp, Esoil_exp]=tau0_exp(d,U);
        if (0.7*turb*U-Uc_exp)>0;
            d=(Tbos*((0.7*turb*U-Uc_exp)^2)/Esoil_exp);
        else;
            d=0;
        end
        y=y+d;
        d=y;

        toterosion(i2)=y;
        xx(i2)=xx0+i2;
        i2=i2+1;
   end

figure (3)
subplot (3,2,subplotteller)
hold on
stringq= [num2str(q)];
   plot(toterosion(1:end),'b')
   title(['q=',stringq,' [l/s/m]']);
   xlabel (['Wave event [-]']);
   set(gca,'box','on');
   set(gca,'YDir','reverse')
   ylabel (['depth [m]']);

    exp_EPM=toterosion;
    eventnumber=xx;
        
